%bcond_without gnome

# used to indicate difference between new/old dictionary formats
%define dict_format_version 2.4.2

Summary:	International dictionary written for GNOME
Name:		stardict
Version:	3.0.3
Release:	8
License:	GPLv3+
Group:		Text tools
Url:		http://code.google.com/p/stardict-3/
Source0:	http://stardict-3.googlecode.com/files/%{name}-%{version}.tar.bz2
Source1:	defaultdict.cfg
Source2:	stardict_128.png
Patch1:		stardict-3.0.3-glib.patch
Patch2:		stardict-3.0.3-str-fmt.patch
Patch3:		stardict-3.0.3-zlib.patch
Patch4:		stardict-3.0.3-compositelookup_cpp.patch
Patch9:		stardict-3.0.3-gcc46.patch
BuildRequires:	desktop-file-utils
BuildRequires:	GConf2
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	scrollkeeper
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig(enchant)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-2.0)
%if %{with gnome}
BuildRequires:	pkgconfig(libgnomeui-2.0)
%endif
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	pkgconfig(zlib)
Provides:	%{name}-tools = %{EVRD}
Requires:	stardict-dictionary = %{dict_format_version}
Conflicts:	stardict-dictionary < %{dict_format_version}
Conflicts:	stardict-dictionary > %{dict_format_version}
Requires(preun):	GConf2 >= 2.3.3

%description
StarDict is an international dictionary written for the GNOME environment.
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%files -f %{name}.lang
%{_sysconfdir}/gconf/schemas/*.schemas
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/defaultdict.cfg
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/idl/*.idl
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_libdir}/bonobo/servers/*.server
%{_mandir}/man?/*
%{_libdir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png

%preun
%preun_uninstall_gconf_schemas stardict

#----------------------------------------------------------------------------

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p0
%patch9 -p1

%build
pushd dict
%before_configure
popd
%configure2_5x \
%if %{without gnome}
	--disable-gnome-support \
%endif
	--disable-schemas-install \
	--disable-espeak \
	--disable-festival \
	--disable-gucharmap
%make

%install
%makeinstall_std

# copy config file of locale specific default dictionaries
install -Dpm644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/defaultdict.cfg

# menu
desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK" \
	--add-category="Office" \
	--add-category="Dictionary" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

# install menu icons
for N in 16 32 48 64 128;
do
convert %{SOURCE2} -scale ${N}x${N} $N.png;
install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done

# own various directories
mkdir -p %{buildroot}%{_datadir}/stardict/dic \
	 %{buildroot}%{_datadir}/stardict/treedict

%find_lang %{name} --with-gnome


%changelog
* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.0.3-8
+ Revision: e9ea268
- Fix typo


